Subject: bug#55025: Automake should allow one to enable POSIX make behavior

From: Karl Berry <[email-masked]>
Date: Tue, 3 Oct 2023 15:08:42 -0600

Yes, Automake should either detect a ".POSIX:" in the Makefile.am
    file (at least if it is the first non-comment line) and place it at
    the beginning of Makefile.in, or provide an option to be used with
    AM_INIT_AUTOMAKE (or AUTOMAKE_OPTIONS) in order to have a ".POSIX:"
    at the beginning of Makefile.in.

Ok. I welcome patches for either or both. It's not something I'll be
implementing myself any time soon (regrettably).

    The Makefile.am files of GNU MPFR have a ".POSIX:" target 

Glad to know it works in practice for you. I'm just surprised that
nothing in Automake's make output breaks under POSIX. --thanks, karl.